> ## Name

> TexGenSEnable - 3D API tex gen S enable

> ## Usage

> TexGenSEnable[i] = bool(enable)

> ## Valid Enumerants

> enable: true, false

> ## Description

> Enable/disable OpenGL generation of the s texture coordinate. See the GL_TEXTURE_GEN_S description on the OpenGL glEnable manual page for details.

> The standard reset callback sets the TexGenSEnable[i] state to bool(false).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> Not applicable.

> ## See Also

> TexGenSEyePlane, TexGenSMode, TexGenSObjectPlane, TexGenQEnable, TexGenREnable, TexGenTEnable